#--
# Extension used to override default generated API to be able to create new instance with plain String.
# It is used to construct simple message without code - such message cannot be localized but is simplier
# to create such message from scripts (no need to create instance by calling getInstance method).
#++
class Ues::Platform::Process::UESMessage

  class << self
    alias old_supports supports
  end
  def self.supports(params) #:nodoc:
    if ((params.java_kind_of?Java::java.lang.String) || (params.java_kind_of?String) || (params.java_kind_of?"".class))
      return true
    end
    return old_supports(params)
  end

  alias old_initialize initialize
  # Creates new instance of UESMessage. As parameter is accepted:
  # * Another instance of UESMessage
  # * Instance of Java object cz.ues.platform.process.dto.UESMessage
  # * Plain string (creates message with default code and without any parameters)
  def initialize(params=nil)
    if ((params != nil) && ((params.java_kind_of?Java::java.lang.String) || (params.java_kind_of?String) || (params.java_kind_of?"".class)))
      @dtoValue = Java::cz.ues.platform.process.dto.UESMessage.getInstance(nil, params, nil)
    else
      old_initialize(params)
    end
  end

end
